## net.i2p.crypto
Class CryptoConstants

    java.lang.Object
      net.i2p.crypto.CryptoConstants

    public class CryptoConstants

extends java.lang.Object

Primes for ElGamal and DSA from http://www.ietf.org/proceedings/03mar/I-D/draft-ietf-ipsec-ike-modp-groups-05.txt

Field Summary
`static java.math.BigInteger` `dsag`
`static java.math.BigInteger` `dsap`
`static java.math.BigInteger` `dsaq`
`static java.math.BigInteger` `elgg`
`static java.math.BigInteger` `elgp`

Constructor Summary
`CryptoConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dsap

    public static final java.math.BigInteger dsap

### dsaq

    public static final java.math.BigInteger dsaq

### dsag

    public static final java.math.BigInteger dsag

### elgp

    public static final java.math.BigInteger elgp

### elgg

    public static final java.math.BigInteger elgg

Constructor Detail

### CryptoConstants

    public CryptoConstants()